Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1599223 - Rebuild required for openssl 1.0.2 support
Summary: Rebuild required for openssl 1.0.2 support
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nginx
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-09 09:07 UTC by Martin Häcker
Modified: 2018-11-26 08:49 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-26 08:49:14 UTC


Attachments (Terms of Use)

Description Martin Häcker 2018-07-09 09:07:32 UTC
Description of problem:
Nginx is currently build against openssl 1.0.1 (which lacks alpn support, required to get chrome to use http2). Still it runs against 1.0.2 as this is the default for the system for some time now.

So, if nginx could be rebuilt against openssl 1.0.2 this feature (ALPN support) (should) be active and usable.


Version-Release number of selected component (if applicable):
Version    : 1.12.2
Ausgabe    : 2.el7


How reproducible:
always

Steps to Reproduce:
1. # nginx -V
nginx version: nginx/1.12.1
built by gcc 4.8.5 20150623 (Red Hat 4.8.5-11) (GCC) 
built with OpenSSL 1.0.1e-fips 11 Feb 2013

2. # yum info openssl
Geladene Plugins: etckeeper, fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirror.wiuwiu.de
 * epel: mirror.wiuwiu.de
 * extras: mirror.wiuwiu.de
 * updates: mirror.wiuwiu.de
Installierte Pakete
Name       : openssl
Architektur : x86_64
Epoche             :1
Version    : 1.0.2k
Ausgabe    : 12.el7

3.

Actual results:
openssl 1.0.2 is installed, but nginx is built against 1.0.1

Expected results:
It should be built against 1.0.2

Additional info:

Comment 1 Carl George 2018-09-11 14:37:32 UTC
I'm not the maintainer, just a bystander, but I'm not seeing the same behavior.

$ rpm -q nginx
nginx-1.12.2-2.el7.x86_64
$ nginx -V |& grep OpenSSL
built with OpenSSL 1.0.2k-fips  26 Jan 2017


Note You need to log in before you can comment on or make changes to this bug.